Bug 189209 - [FC5] kde apps crashes on using scim-qtimm
[FC5] kde apps crashes on using scim-qtimm
Status: CLOSED DUPLICATE of bug 192471
Product: Fedora
Classification: Fedora
Component: scim-qtimm (Show other bugs)
5
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n, Reopened
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2006-04-18 08:48 EDT by Ashish Shukla
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 04:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 125765 None None None Never

  None (edit)
Description Ashish Shukla 2006-04-18 08:48:25 EDT
Description of problem:

KDE applications used to crash when SCIM is activated.

Version-Release number of selected component (if applicable):

scim-1.4.4-9.1.fc5      (updated)
qt-3.3.5-13             (shipped with distro)
scim-qtimm-0.9.4-2.1.1  (shipped with distro)
scim-1.4.4-9            (shipped with distro)

How reproducible: 

Steps to Reproduce:
0. Start any kde application .e.g kedit
1. Activate context menu, on text field component in any KDE application (e.g.
kedit)
2. From the "Select Input Method" menu in context menu, select "scim".
3. On selecting scim, the appication crashes producing the following message on
stderr.
  
Actual results:
Application crashes and produces following dump on stderr output stream.
-- begin dump --
kedit: symbol lookup error: /usr/lib64/qt-3.3/plugins/inputmethods/libqscim.so:
undefined symbol: _ZN4scim24scim_get_locale_languageERKSs
-- end dump --

Expected results:
Application should run fine, with scim selected.

Additional info:
[wahjava@homepc ~]$ rpm -q scim
scim-1.4.4-9.1.fc5
[wahjava@homepc ~]$ rpm -q scim-qtimm
scim-qtimm-0.9.4-2.1.1
[wahjava@homepc ~]$ rpm -q qt
qt-3.3.5-13
[wahjava@homepc ~]$ rpm -q kdebase
kdebase-3.5.1-5
[wahjava@homepc ~]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 3000.063
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc
pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 6006.58
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 3000.063
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc
pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 6000.20
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

[wahjava@homepc ~]$ cat /proc/meminfo
MemTotal:      1015960 kB
MemFree:        294412 kB
Buffers:         28096 kB
Cached:         331648 kB
SwapCached:          0 kB
Active:         326096 kB
Inactive:       261168 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:      1015960 kB
LowFree:        294412 kB
SwapTotal:     1028120 kB
SwapFree:      1028120 kB
Dirty:               0 kB
Writeback:           0 kB
Mapped:         300232 kB
Slab:            45380 kB
CommitLimit:   1536100 kB
Committed_AS:   542172 kB
PageTables:      11192 kB
VmallocTotal: 34359738367 kB
VmallocUsed:    265088 kB
VmallocChunk: 34359472763 kB
HugePages_Total:     0
HugePages_Free:      0
Hugepagesize:     2048 kB
Comment 1 Jens Petersen 2006-04-19 02:34:44 EDT
That is correct currently scim-qtimm in fc5 does not work
because it is not built with libstdc++so7 (see bug 182177).
Which is why QT_IM_MODULE is set to xim and not scim in FC5.

This should be fixed in FC6.  You may prefer to
remove scim-qtimm for now, or leave it around pending
a later fix.  I'm tempted to close this as a duplication
for now of the above bug, but I'll leave it open for now
to track this issue for FC5.

Comment 2 Jens Petersen 2006-05-31 04:54:41 EDT

*** This bug has been marked as a duplicate of 192788 ***
Comment 3 Jens Petersen 2006-06-06 04:56:01 EDT

*** This bug has been marked as a duplicate of 192471 ***

Note You need to log in before you can comment on or make changes to this bug.